tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Guo <cool_...@yahoo.com>
Subject Re: tomcat5.0 build problem
Date Mon, 24 Feb 2003 15:59:47 GMT

When I tried, "telnet cvs.apache.org 2401", I got 'connect failed' message.

I assume I already have everything on my PC, can I turn off the 'cvs' feature, and compile
all local files? I understand there is need for version control, but for a starter, is there
a simple way out?

Thanks, Steve


 Tim Funk <funkman@joedog.org> wrote:There is a good chance CVS is blocked by your firewall.
It was for me. 
You can test this by:

telnet cvs.apache.org 2401

If your connection times out - then your blocked by your firewall.

-Tim

Steve Guo wrote:
> Actually I am using Ant 1.5.1.Although my company has a firewall, we do not use a proxy
server (?), because this is the setup in IE when accessing the Internet from office. In IE5.5,
Tools | Internet Options | Connections | Lan Settings, proxy server is unchecked, 'Use automatic
configuration script' is checked.
> But when using Yahoo Messenger or MSN messenger from office, I have to set the following:
> Use Proxies (checked)
> Enable HTTP proxy (checked)
> HTTP Proxy server name: FIREWALL
> server port: 80
> -------------------------------------------------------------------------------------------
> So based on above, I make the following build.properties file:
> proxy.host=FIREWALL
> proxy.port=80
> proxy.use=on
> base.path=/usr/local
> Still the same error message. I am really confused. Following Filip Hanik, I downloaded
cvs, it is a challenge to set it up too. Actually I have been able to use the binary version
(4.1.18) fine, but I thought I would try my luck building from source.
> Thanks all, steve
> Bill Barker wrote:Since you are behind a firewall, make sure that you have set 'proxy.host',
> 'proxy.port', and 'proxy.use' in your "build.properties" file. They are
> commented out in the "build.properties.default" file.
> 
> At a guess, the wall you are hitting first is due to using a version of
> Jakarta-Ant < 1.5. You need to use at least 1.5 to build TC 5.
> 
> "Filip Hanik" wrote in message
> news:C1B59B760D2C534B9A94AD93A6F0E25A85D4E7@sfoexc01.nonstop.com...
> try this,
> 
> cvs checkout jakarta-tomcat-5
> cd jakarta-tomcat-5
> ant download
> ant checkout
> ant dist
> 
> Filip
> 
> -----Original Message-----
> From: Steve Guo [mailto:cool_xml@yahoo.com]
> Sent: Friday, February 21, 2003 1:54 PM
> To: tomcatuser
> Subject: tomcat5.0 build problem
> 
> 
> 
> Hi, this is the first time I tried to build tomcat from source, ran into the
> following problems. If you can provide your comment or point me to resource,
> I would appreciate it. Thanks. Steve
> 
> 1. I followed the instructions in BUILDING.TXT, almost exactly - the
> Xerces2.2.1 I am using does not have xalan.jar, so I used the same file from
> Xalan2.4.1.
> 
> 2. I got the following error after running ant:
> 
> Buildfile: build.xml
> 
> check.source:
> 
> get.source:
> 
> check.out:
> 
> BUILD FAILED
> 
> Build.xml:67: the task doesn't support the 'compression' attribute.
> 
> 3. I am running behind corporate firewall.
> 
> 
> 
> 
> 
> ---------------------------------
> Do you Yahoo!?
> Yahoo! Tax Center - forms, calculators, tips, and more
> 
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
> 
> 
> 
> ---------------------------------
> Do you Yahoo!?
> Yahoo! Tax Center - forms, calculators, tips, and more


---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org



---------------------------------
Do you Yahoo!?
Yahoo! Tax Center - forms, calculators, tips, and more
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message